import getDecorators from "inversify-inject-decorators";
import { container } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export class BetPositionComponent extends cc.Component
{
    @property(cc.Integer)
    private index: number = 0;
    @property(cc.Button)
    private buttonBet: cc.Button = null;

    public getIndex(): number
    {
        return this.index;
    }

    public disableBet(): void
    {
        this.buttonBet.enabled = false;
    }

    public enableBet(): void
    {
        this.buttonBet.enabled = true;
    }
}

