
import getDecorators from "inversify-inject-decorators";
import { container } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export class MoneyLabelDisplay extends cc.Component
{
    @property(cc.Label)
    private labelMoney: cc.Label = null;
    private value = 0;

    public setValue(value: number): void
    {
        this.value = value;
        this.labelMoney.string = this.value.toString();
        if (value == 0)
        {
            this.hide();
        } else
        {
            this.show();
        }
    }

    private show(): void
    {
        this.node.active = true;
    }

    private hide(): void
    {
        this.node.active = false;
    }


}
