import getDecorators from "inversify-inject-decorators";
import { ChipHandler } from "../../../chip-handler/scripts/chip-handler";
import { container, GAME_VIEW } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);


@ccclass
export class UpdateChipOnViewLoungeChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.Lounge)
    private gameViewLounge: Core.View.GameView;

    @property(ChipHandler)
    private listChipHandler: ChipHandler[] = [];

    protected onLoad(): void
    {
        this.gameViewLounge.addComponent(this);
        this.render();
    }

    public render(): void
    {
        this.listChipHandler.forEach((chipHandler) =>
        {
            chipHandler.hideAll();
        });
    }
}
