import getDecorators from "inversify-inject-decorators";
import { ChipColorConfig } from "../../chip/config/chip-color-config";
import { Chip } from "../../chip/scripts/chip";
import { container } from "../../plugins/core";


const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export class ChipHandlerCalculator
{
    public static getChipsToCollectByValue(value: number, listChips: Chip[]): Chip[]
    {
        var result: Chip[] = [];
        var sumRemove = 0;
        for (var index = listChips.length - 1; index >= 0; index--)
        {
            var chip = listChips[index];
            if (sumRemove < value)
            {
                sumRemove += chip.getChipValue();
                result.push(chip);
                listChips.splice(index, 1);
            } else
            {
                break;
            }
        }
        return result;
    }

    public static getChipValuesToSpawn(value: number, listBetOption: number[]): number[]
    {
        var result: number[] = [];
        var sum = 0;
        var oddNumber = value;
        var maxChipValue = listBetOption[listBetOption.length - 1];
        var maxChipIndex = this.getMaxChipIndexByChipValue(maxChipValue);

        var listChipValue = ChipColorConfig.getListChipValue();
        while (sum < value && oddNumber >= listChipValue[0])
        {
            for (var index = maxChipIndex; index >= 0; index--)
            {
                var chipValue = listChipValue[index];
                if (sum + chipValue <= value)
                {
                    sum += chipValue;
                    result.push(chipValue);
                    break;
                }
            }
            oddNumber = value - sum;
        }
        return result;
    }

    private static getMaxChipIndexByChipValue(maxPoint: number): number
    {
        var maxIndex = 0;
        var listChipValue = ChipColorConfig.getListChipValue();
        for (var index = 0; index < listChipValue.length; index++)
        {
            var point = listChipValue[index];
            if (point > maxPoint)
            {
                break;
            }
            maxIndex = index;
        }
        return maxIndex;
    }

}