
export class ChipColorConfig
{
    private static mapHexColorByValue: Map<Number, string> = new Map<Number, string>([
        [1, "#741F20"],
        [2, "#742356"],
        [3, "#1B5B15"],
        [4, "#1B5B15"],
        [5, "#9D4065"],
        [6, "#9D4065"],
        [7, "#9D4065"],
        [8, "#9D4065"],
        [9, "#9D4065"],
        [10, "#11106e"],
        [20, "#d09500"],
        [30, "#0098af"],
        [50, "#749903"],
        [100, "#06a066"],
        [200, "#0a6a00"],
        [300, "#03426a"],
        [500, "#0096ad"],
        [1000, "#03426a"],
        [2000, "#cb3b0f"],
        [3000, "#c93a0f"],
    ]);

    public static getColor(chipValue: Number): cc.Color
    {
        var colorHex = this.mapHexColorByValue.get(chipValue);
        if (colorHex == null)
        {
            return cc.Color.WHITE;
        } else
        {
            var color = new cc.Color().fromHEX(colorHex);;
            return color;
        }
    }

    public static getListChipValue(): number[]
    {
        return Array.from(this.mapHexColorByValue.keys()) as number[];
    }
}