import getDecorators from "inversify-inject-decorators";

import EventDispatcher from "../../../event-system/cocos-event-target";
import { container } from "../../../plugins/core";
import { ROOM_PANEL_EVENT } from "../event/room-panel-event";


const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export default class RoomButtonActivator extends cc.Component
{
    @property(cc.Button)
    private listRoomButton: cc.Button[] = [];


    protected onLoad(): void
    {

        EventDispatcher.on(ROOM_PANEL_EVENT.Open, this.enable, this);
    }

    public disable(): void
    {
        this.listRoomButton.forEach(roomButton =>
        {
            roomButton.interactable = false;
        })
    }

    public enable(): void
    {
        this.listRoomButton.forEach(roomButton =>
        {
            roomButton.interactable = true;
        })
    }

}
